<?php

/**
 * @package		G Tag Manager - Plugin for Joomla!
 * @author		DeConf - http://deconf.com
 * @copyright	Copyright (c) 2010 - 2012 DeConf.com
 * @license		GNU/GPL license: http://www.gnu.org/licenses/gpl-2.0.html
 */
 
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );

class plgSystemGTagManager extends JPlugin {

 function plgSystemGTagManager(&$subject, $params) { 
	parent::__construct($subject, $params); 
    
	$this->plugin = &JPluginHelper::getPlugin('system', 'gtagmanager');
    
	$this->params = new JParameter($this->plugin->params);
}

function onAfterRender(){

		$app = JFactory::getApplication();
		
		$user = JFactory::getUser();		
		
		if (( $app->isAdmin()) AND ($this->params->get('gtagmanager_backend'))){
			return;
		}
		
		$gtmcode="";
		
		$buffer = JResponse::getBody();
		
			
		if ($this->params->get('gtagmanager_id')){
		
			$gtmcode.="<!-- Google Tag Manager -->
<noscript><iframe src=\"//www.googletagmanager.com/ns.html?id=".$this->params->get('gtagmanager_id')."\"
height=\"0\" width=\"0\" style=\"display:none;visibility:hidden\"></iframe></noscript>
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','".$this->params->get('gtagmanager_id')."');</script>
<!-- End Google Tag Manager -->";
	}
	
		if ($gtmcode){
	
			$buffer = preg_replace ("/<body(\s[^>]*)?>/i", "<body\\1>\n".$gtmcode, $buffer);
		
		}
				
		JResponse::setBody($buffer);
	
	return;
 
 }
 
}
